# -*- encoding: utf-8 -*-
# stub: roodi 5.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "roodi".freeze
  s.version = "5.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Marty Andrews".freeze, "Peter Evjan".freeze]
  s.date = "2024-03-28"
  s.description = "Roodi parses your Ruby code and warns you about design issues you have based on the checks that is has configured".freeze
  s.email = "hello@peterevjan.com".freeze
  s.executables = ["roodi".freeze, "roodi-describe".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "Gemfile".freeze, "History.md".freeze, "Manifest.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/roodi".freeze, "bin/roodi-describe".freeze, "lib/roodi.rb".freeze, "lib/roodi/checks.rb".freeze, "lib/roodi/checks/abc_metric_method_check.rb".freeze, "lib/roodi/checks/assignment_in_conditional_check.rb".freeze, "lib/roodi/checks/case_missing_else_check.rb".freeze, "lib/roodi/checks/check.rb".freeze, "lib/roodi/checks/class_line_count_check.rb".freeze, "lib/roodi/checks/class_name_check.rb".freeze, "lib/roodi/checks/class_variable_check.rb".freeze, "lib/roodi/checks/control_coupling_check.rb".freeze, "lib/roodi/checks/core_method_override_check.rb".freeze, "lib/roodi/checks/cyclomatic_complexity_block_check.rb".freeze, "lib/roodi/checks/cyclomatic_complexity_check.rb".freeze, "lib/roodi/checks/cyclomatic_complexity_method_check.rb".freeze, "lib/roodi/checks/empty_rescue_body_check.rb".freeze, "lib/roodi/checks/for_loop_check.rb".freeze, "lib/roodi/checks/line_count_check.rb".freeze, "lib/roodi/checks/method_line_count_check.rb".freeze, "lib/roodi/checks/method_name_check.rb".freeze, "lib/roodi/checks/module_line_count_check.rb".freeze, "lib/roodi/checks/module_name_check.rb".freeze, "lib/roodi/checks/name_check.rb".freeze, "lib/roodi/checks/npath_complexity_check.rb".freeze, "lib/roodi/checks/npath_complexity_method_check.rb".freeze, "lib/roodi/checks/parameter_number_check.rb".freeze, "lib/roodi/core.rb".freeze, "lib/roodi/core/checking_visitor.rb".freeze, "lib/roodi/core/error.rb".freeze, "lib/roodi/core/parser.rb".freeze, "lib/roodi/core/runner.rb".freeze, "lib/roodi/core/sexp.rb".freeze, "lib/roodi/version.rb".freeze, "lib/roodi_task.rb".freeze, "roodi.gemspec".freeze, "roodi.yml".freeze, "spec/roodi/checks/abc_metric_method_check_spec.rb".freeze, "spec/roodi/checks/assignment_in_conditional_check_spec.rb".freeze, "spec/roodi/checks/case_missing_else_check_spec.rb".freeze, "spec/roodi/checks/class_line_count_check_spec.rb".freeze, "spec/roodi/checks/class_name_check_spec.rb".freeze, "spec/roodi/checks/class_variable_check_spec.rb".freeze, "spec/roodi/checks/control_coupling_check_spec.rb".freeze, "spec/roodi/checks/core_method_override_check_spec.rb".freeze, "spec/roodi/checks/cyclomatic_complexity_block_check_spec.rb".freeze, "spec/roodi/checks/cyclomatic_complexity_method_check_spec.rb".freeze, "spec/roodi/checks/empty_rescue_body_check_spec.rb".freeze, "spec/roodi/checks/for_loop_check_spec.rb".freeze, "spec/roodi/checks/method_line_count_check_spec.rb".freeze, "spec/roodi/checks/method_name_check_spec.rb".freeze, "spec/roodi/checks/module_line_count_check_spec.rb".freeze, "spec/roodi/checks/module_name_check_spec.rb".freeze, "spec/roodi/checks/npath_complexity_method_check_spec.rb".freeze, "spec/roodi/checks/parameter_number_check_spec.rb".freeze, "spec/roodi/core/runner_spec.rb".freeze, "spec/roodi/roodi.yml".freeze, "spec/roodi_task_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://github.com/roodi/roodi".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Roodi stands for Ruby Object Oriented Design Inferometer".freeze
  s.test_files = ["spec/roodi/checks/abc_metric_method_check_spec.rb".freeze, "spec/roodi/checks/assignment_in_conditional_check_spec.rb".freeze, "spec/roodi/checks/case_missing_else_check_spec.rb".freeze, "spec/roodi/checks/class_line_count_check_spec.rb".freeze, "spec/roodi/checks/class_name_check_spec.rb".freeze, "spec/roodi/checks/class_variable_check_spec.rb".freeze, "spec/roodi/checks/control_coupling_check_spec.rb".freeze, "spec/roodi/checks/core_method_override_check_spec.rb".freeze, "spec/roodi/checks/cyclomatic_complexity_block_check_spec.rb".freeze, "spec/roodi/checks/cyclomatic_complexity_method_check_spec.rb".freeze, "spec/roodi/checks/empty_rescue_body_check_spec.rb".freeze, "spec/roodi/checks/for_loop_check_spec.rb".freeze, "spec/roodi/checks/method_line_count_check_spec.rb".freeze, "spec/roodi/checks/method_name_check_spec.rb".freeze, "spec/roodi/checks/module_line_count_check_spec.rb".freeze, "spec/roodi/checks/module_name_check_spec.rb".freeze, "spec/roodi/checks/npath_complexity_method_check_spec.rb".freeze, "spec/roodi/checks/parameter_number_check_spec.rb".freeze, "spec/roodi/core/runner_spec.rb".freeze, "spec/roodi/roodi.yml".freeze, "spec/roodi_task_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<ruby_parser>.freeze, [">= 3.2.2", "~> 3.2"])
end
